Subject: Re: bug#6308: Preserve command exit code in timeout(3)

From: Thomas Krennwallner <[email-masked]>
Date: Mon, 22 Oct 2012 14:27:26 +0200

On Mon Oct 22, 2012 10:20:14AM +0100, Pádraig Brady wrote:
> On 10/21/2012 09:36 PM, Thomas Krennwallner wrote:
[...]
> >I'm thus very interested into seeing timeout --exit-status.
> 
> Ok cool.
> 
> It's tempting to support this without an option.
> I.E. for all commands that exit without WIFSIGNALED being set,
> i.e. for all commands that catch and exit on signal reception.
> However that wouldn't work in general I think due to cascading
> timeout commands or commands that catch signals for cleanup etc.,
> though I suppose the latter case might be catered for by
> specifying a specific signal with the -s option.

Yes, I completely agree.  And would only make a difference for programs
that carry on meaning with their exit code, i.e., where the code depends
on the computation, as described in my use case.  The default use is
IMHO just error exit in programs, and most have it implemented this way
(think of clean-up at signal reception).  Having a default exit code of
124 is good for those standard programs.

> So I'll look at adding this new option right after the
> imminent 8.20 release.

Thank you, this sounds like good news!

Best,
TK

-- 
Thomas Krennwallner
University assistant
.
TU Wien - Vienna University of Technology
Institute of Information Systems
Favoritenstrasse 9-11, 1040 Wien, Austria
.
T: +43 1 58801 18469   F: +43 1 58801 918469
tkren AT kr DOT tuwien DOT ac DOT at
http://www.kr.tuwien.ac.at/staff/tkren/
.
DVR: 0005886